<?php  
	include "conexion.php";
	include "insertar_log.php";

	$secuencia = $_GET['secuencia'];
	$id_aplicacion = $_GET['id_aplicacion'];
	$id_turno=0;
	$valor=0;

	$control =0;

	$datos = " Ingresa a obtener_ticket_rifa con secuencia= ".$secuencia;	
	insertarLog($datos,$id_aplicacion);

	$sql = "SELECT ";
	$sql .="id_equipo_clase, ";
	$sql .="id_equipo, ";
	$sql .="id_comando, ";
	$sql .="res_dato, ";
	$sql .="estado ";
	$sql .="from ";
	$sql .="comandos ";
	$sql .="where ";
	$sql .="id_aplicacion= ".$id_aplicacion." and ";
	$sql .="id_secuencia= ".$secuencia." ";
	//$sql .="estado = 2 ";

	$resultado = $conexion->query($sql);

    if(!$resultado) 
    {
    	$datos = " Error al consultar comando secuencia= ".$secuencia;	
		insertarLog($datos,$id_aplicacion);
        echo response(2,"Error al consultar comando","");
        return;
    }
	
    while ($row=$resultado->fetch_assoc())
    {
    	$_id_equipo_clase = $row['id_equipo_clase'];
        $_id_equipo = $row['id_equipo'];
        $_id_comando = $row['id_comando'];
        $_dato = $row['res_dato'];
        $estado = $row['estado'];
        $control = 1;
    }

    $resultado->free();

    if($control==0)
    {
    	$datos = " No existe comando secuencia= ".$secuencia;	
		insertarLog($datos,$id_aplicacion);
    	echo response(2,"No existe","");
        return;

    }

    if($control==1)
    {
    	if($estado==0 || $estado==1)
    	{
    		$datos = " Comando en proceso secuencia= ".$secuencia;	
			insertarLog($datos,$id_aplicacion);
    		echo response(1,"En proceso","");
        	return;
    	}

    	
    	$sql = "delete from ";
	    $sql .= "gaslight.comandos ";
	    $sql .= "where ";
	    $sql .= "id_aplicacion = ".$id_aplicacion." and ";
	    $sql .= "id_secuencia = ".$secuencia." ";

	     $resultado = $conexion->query($sql); 

	    if($resultado == false)
	    {
	    	$datos = " Error al eliminar comando secuencia= ".$secuencia;	
			insertarLog($datos,$id_aplicacion);
	        echo response(2,"Error al eliminar comando","");
	        return;
	    }
	    
	    $datos = " Elimino comando secuencia= ".$secuencia;	
			insertarLog($datos,$id_aplicacion);	

	    $arreglo = explode("|", $_dato);

	    if($arreglo[0]==0)
	    {
	    	$id_venta = $arreglo[1];


	    }
	    else
	    {
	    	$datos = " Error codigo= ".$arreglo[0];	
			insertarLog($datos,$id_aplicacion);	

	    	echo response(2,"Error codigo ".$arreglo[0],$arreglo[0]);
	        return;
	    }

	    

    }

    if($id_venta==0)
    {
    	$datos = " Error no existe venta";	
			insertarLog($datos,$id_aplicacion);
    	echo response(2,"Error no existe venta","");
	    return;

    }

    $sql = "SELECT ";
	$sql .="valor ";
	$sql .="from ";
	$sql .="parametros ";
	$sql .="where ";
	$sql .="id_parametro= 'ConsignacionCopia' ";

	$resultado = $conexion->query($sql);

    if(!$resultado) 
    {
    	$datos = " Error al obtener valor ConsignacionCopia ";	
			insertarLog($datos,$id_aplicacion);
        echo response(2,"Error al consultar comando","");
        return;
    }
	
    while ($row=$resultado->fetch_assoc())
    {
    	$valor = $row['valor'];
    }

    $resultado->free();
     $datos = " Se obtuvo valor ConsignacionCopia = ".$valor;	
			insertarLog($datos,$id_aplicacion);

	$ticket["copia_consignacion"]=$valor;

	$array =   array();

	$sql = "select ";
    $sql .= "e.id_estacion, ";
    $sql .= "e.razon_social, ";
    $sql .= "e.rfc, ";
    $sql .= "e.numeroCRE, ";
    $sql .= "cat.descripcion ";
    $sql .= "from ";
    $sql .= "estacion e ";
    $sql .= "left join cat_tipo_estacion cat on (cat.tipo=e.tipo) ";

	$sentencia = $conexion->prepare($sql);

	$sentencia->execute();

	$resultado = $sentencia->get_result();

	if($fila = $resultado->fetch_assoc())
	{
		$estacion= $fila;
	}


	$ticket["estacion"]=$estacion;

	$sentencia->close();

	$sql = "select ";
    $sql .= "a.ticket, ";
    $sql .= "a.fecha_venta, ";
    $sql .= "now() fecha_impresion, ";
    $sql .= "a.id_venta, ";
    $sql .= "a.id_bomba, ";
    $sql .= "a.id_producto, ";
    $sql .= "a.precio, ";
    $sql .= "a.volumen, ";
    $sql .= "a.monto, ";
    $sql .= "a.id_isla, ";
    $sql .= "a.id_posicion, ";
    $sql .= "a.id_turno, ";
    $sql .= "a.pemex_tipo, ";
    $sql .= "b.nombre, ";
    $sql .= "b.clave_unidad, ";
    $sql .= "ifnull(c.razon_social,'') cliente, ";
    $sql .= "ifnull(c.consignacion,0) consignacion, ";
    $sql .= "ifnull(a.num_transaccion_terminal,'') num_transaccion_termial, ";
    $sql .= "ifnull(a.aux,0) aux ";
    $sql .= "from ";
    $sql .= "ventas a ";
    $sql .= "left join productos b on (a.id_producto=b.id_producto) ";
    $sql .= "left join clientes c on (a.id_cliente=c.id_cliente) ";
    $sql .= "where ";
    $sql .= "a.id_venta= ". $id_venta;


	$sentencia = $conexion->prepare($sql);

	$sentencia->execute();

	$resultado = $sentencia->get_result();

	while($fila = $resultado->fetch_assoc())
	{
		$venta = $fila;
	}

	$sentencia->close();

	$sql = "select ";
    $sql .= "ieps, ";
    $sql .= "clase, ";
    $sql .= "iva ";
    $sql .= "from ";
    $sql .= "productos ";
    $sql .= "where ";
    $sql .= "id_producto=" .$venta["id_producto"];

    $sentencia = $conexion->prepare($sql);

	$sentencia->execute();

	$resultado = $sentencia->get_result();

	while($fila = $resultado->fetch_assoc())
	{
		$sel_prod_factor_ieps = $fila["ieps"];
        $sel_prod_clase = $fila["clase"];
        $sel_prod_factor_iva = $fila["iva"];
	}

	

    if ($sel_prod_clase != 1)
    {
		$sel_prod_factor_ieps = 0;  
    } 
          

    $sel_prod_cantidad = $venta["monto"] / $venta["precio"];

    $sel_prod_precio_sin_ieps = ($venta["precio"] - $sel_prod_factor_ieps) / (1.0 + $sel_prod_factor_iva);
    $sel_prod_precio_sin_iva = $sel_prod_precio_sin_ieps + $sel_prod_factor_ieps;

    $sel_prod_subtotal = $sel_prod_cantidad * $sel_prod_precio_sin_iva;//sel_prod_precio_sin_iva;
    $sel_prod_iva = $sel_prod_cantidad * $sel_prod_precio_sin_ieps * $sel_prod_factor_iva;
    $sel_prod_ieps = $sel_prod_clase == 1 && $sel_prod_factor_iva > 0 ? $sel_prod_cantidad * $sel_prod_factor_ieps : 0;

    $subtotal = $sel_prod_subtotal;
    $iva = $sel_prod_iva;

	$venta["iva"]=round($iva,2);
	$venta["subtotal"]=round($subtotal,2);

	$ticket["venta"]=json_encode($venta, JSON_UNESCAPED_UNICODE);


	$sentencia->close();

	$sql = "update ";
	$sql .= "ventas ";
	$sql .= "set ";
	$sql .= "aux=1 ";
	$sql .= "where ";
	$sql .= "id_venta=".$id_venta;
	
	$resultado = $conexion->query($sql); 

    if($resultado == false)
    {
        echo response(1,"Error al actualizar transaccion","");
        return;
    }

	$datos = " Termina proceso obtener_ticket_rifa";	
		insertarLog($datos,$id_aplicacion);
	echo response(0,"",json_encode($ticket));


	function response($estatus,$estatus_mensaje,$respuesta){
		header("HTTP/1.1".$estatus);

		$response["estatus"]=$estatus;
		$response["estatus_mensaje"]=$estatus_mensaje;
		$response["respuesta"]=$respuesta;
		
		$json_response = json_encode($response, JSON_UNESCAPED_UNICODE);

		echo $json_response;

	}
?>